ElectroNeek Documentation

Esta página aún no está traducida al español, por lo que se muestra en inglés.

Get a list of all Bot Runners

This returns the list of all Bot Runners that are connected to Orchestrator. You can filter the result by status, logged-in user, Bot Runner version, ID, or name.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runners

{region} puede ser: na, cis, apac, latam, emea

Pruébalo

Se envía desde tu navegador directamente a la API (nada pasa por este sitio) y el token API solo se guarda en esta pestaña.
Parámetros de consulta
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runners'

Autenticación

Usa un token API de la página Orquestador → Integraciones. Envíalo como token bearer: Authorization: Bearer <token>.

Parámetros de consulta

NombreTipoObligatorioDescripción
statusstring (ready, in_progress, offline)noIt filters Bot Runners by status
login_asstringnoIt filters logged users by email, e.g., robot@electroneek.com
versionstringnoIt filters Bot Runners by version, e.g., 8.0.0
idsarray of stringnoIt filters by Bot Runner IDs.
namestringnoIt filters Bot Runners by the name, .e.g, MY-BOT-RUNNER-1

Respuesta

200API returns the list of Bot Runners matching the filter criteria.
Cuerpo de la respuesta
object
listarray of objects
object
iduuidobligatorio

ID of the Bot Runner

namestringobligatorio

Name of the Bot Runner

statusstring (ready, in_progress, offline)obligatorio

Status of the Bot Runner

versionstringobligatorio

Version of the Bot Runner

login_asobjectobligatorio

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringobligatorio

Name of the computer where Bot Runner is installed.

Actualizado